#
# TODO: check why tests fail (freetype expert needed)
#
# Conditional build:
%bcond_with	tests	# do perform "make test" (fails with recent freetype versions)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Font
%define		pnam	FreeType
Summary:	Font::FreeType - read font files and render glyphs from Perl using FreeType2
Summary(pl.UTF-8):	Font::FreeType - odczyt plików fontów oraz rendering znaków graficznych za pomocą FreeType2
Name:		perl-Font-FreeType
Version:	0.03
Release:	14
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Font/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	47b9483c92f1b2df0bbb5258a6a596b2
Patch0:		%{name}-gcc4.patch
URL:		http://search.cpan.org/dist/Font-FreeType/
BuildRequires:	freetype-devel >= 2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows Perl programs to conveniently read information from
font files. All the font access is done through the FreeType2 library,
which supports many formats. It can render images of characters with
high-quality hinting and antialiasing, extract metrics information,
and extract the outlines of characters in scalable formats like
TrueType.

%description -l pl.UTF-8
Moduł ten umożliwia programom perlowym odczyt informacji z plików
fontów w wygodny sposób. Cały dostęp do fontów odbywa sie poprzez
bibliotekę FreeType2, która wspiera wiele formatów. Umożliwia
renderowanie obrazów znaków, wysokiej jakości hinting i antyaliasing,
pobieranie informacji o metryce oraz pobieranie zarysów znaków dla
formatów skalowalnych, takich jak TrueType.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorarch}/Font
%{perl_vendorarch}/Font/FreeType.pm
%{perl_vendorarch}/Font/FreeType
%dir %{perl_vendorarch}/auto/Font
%dir %{perl_vendorarch}/auto/Font/FreeType
%attr(755,root,root) %{perl_vendorarch}/auto/Font/FreeType/FreeType.so
%{_mandir}/man3/Font::FreeType*.3pm*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Font-FreeType.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0a7f7bd
- perl req/prov fix
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 86648d4
- rebuild with perl 5.26
- release 13 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> d9150ae
- rebuild with perl 5.24.0
- release 12 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 83c03ba
- release 11 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 06ac9d8
- x32 rebuild
- release 10 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b2cddd4
- release 9 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0bec2c0
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9de85a4
- rebuild for perl 5.20
- release 8 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 53174ba
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Mon Jun 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 6bdc650
- adjusted man pages glob

* Mon Jun 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 51c9f17
- disable tests (last package version was released in 2004, tests fail with any recent freetype version)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f9916c
- release 6

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> 460b298
- release 5

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 7f24ad1
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 519baca
- rel 3

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> cb04db7
- missing dirs; rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> adfb234
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Jun 11 2007 Jakub Bogusz <qboosh@pld-linux.org> 1c7a17f
- generic URL

* Sat Jun 09 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> da3f1dd
- rel 1

* Sat Jun 09 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> ccd770a
- new

